BooleExponent.cc File Reference
`#include <polybori/BooleExponent.h>`
`#include <polybori/BooleVariable.h>`
`#include <polybori/BoolePolyRing.h>`
`#include <polybori/orderings/COrderingBase.h>`
`#include <polybori/except/PBoRiError.h>`
`#include <polybori/routines/pbori_routines.h>`
`#include <polybori/routines/pbori_algo.h>`
`#include <functional>`

## Namespaces

| polybori

## Functions

template<class ExpType , class RhsType , class ResultType >
void | polybori::exp_divide (const ExpType &lhs, const RhsType &rhs, ResultType &result)
template<class ExpType , class RhsIterator , class SizeType , class ResultType >
void | polybori::exp_multiply (const ExpType &lhs, RhsIterator start, RhsIterator finish, SizeType nlen, ResultType &result)
template<class ExpType , class RhsType , class ResultType >
void | polybori::exp_multiply (const ExpType &lhs, const RhsType &rhs, ResultType &result)

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-04-19

This file implements the class BoolePolymials, where carries the definition of monomials over Booleans.

Copyright:
  (c) 2006 by The PolyBoRi Team